package intrinsic.mx.events;

public class StyleEvent extends intrinsic.flash.events.ProgressEvent {

	/** Accessors */

	/** Variables */
	public String errorText;

	/** Constants */
	public static final String COMPLETE = "complete";
	public static final String ERROR = "error";
	public static final String VERSION = "version";
	public static final String PROGRESS = "progress";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public StyleEvent() {
}

public StyleEvent(String arg0) {
}

public StyleEvent(String arg0, boolean arg1) {
}

public StyleEvent(String arg0, boolean arg1, boolean arg2) {
}

public StyleEvent(String arg0, boolean arg1, boolean arg2, int arg3) {
}

public StyleEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4) {
}

public StyleEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4, String arg5) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
